For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
        • POSTCreate Create Instant Payment Request
        • GETList Get Instant Payment Responses
        • GETRetrieve Get Instant Payment Response
Get a Demo
LogoLogo
API ReferencePaymentsInstant

Create Create Instant Payment Request

POST
https://host.com/v2/payments/instant/
POST
/v2/payments/instant/
$curl -X POST https://host.com/v2/payments/instant/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "consumer_id": "string",
> "originating_account_id": "string",
> "receiving_account_id": "string",
> "amount": "string"
>}'
201Created
1{
2 "id": "string",
3 "amount": "string",
4 "originating_account_id": "string",
5 "receiving_account_id": "string",
6 "instant_payment_direction": "string",
7 "consumer_id": "string"
8}
Create an Instant Payment request to move funds from an DDA to an external bank account
Was this page helpful?
Previous

List Get Instant Payment Responses

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
consumer_idstringRequired
originating_account_idstringRequired
receiving_account_idstringRequired
amountstringRequiredformat: "decimal"
descriptionstringOptional

Response

idstringformat: "uuid"
amountstringformat: "decimal"
originating_account_idstring
receiving_account_idstring
instant_payment_directionstring
consumer_idstringRead-only